# WSL Helpers

These are small scripts to help with living in the WSL on Windows. Mostly
wrappers to easily run Windows executables without having to hunt down the full
path to the binaries.

## Installation

Install using `stow`:

```console
stow -v -d . -t /usr/local utils
```

## Scripts

- `explorer`: open current directory in Windows Explorer
- `ipfonfig`: use Windows' `ipconfig` command, WSL does not provide or support
  `ifconfig` (kind of redundant because we can use `ip` in the WSL but keeping
  it here anyway for convenience)
- `powershell`: run PowerShell inside WSL terminal.
- `start`: start `tmux` as a sub-process of `ssh-agent` and attach to the
  `main` session, creating it if not existent.
- `wsl`: use the WSL to WSL the WSL.
